> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/50.-query-get-gridded-data-from-vectoranalysismap.md).

# 50. Spørring: Hent rutenettdata fra «Vektoranalysekart»

Spørring for å hente rutenettdata fra «VectorAnalysisMap» som `GEOJSON` med punkter eller `GEOTIFF`. Egenskapen «properties» inneholder de opprinnelige dataene (for eksempel indeksverdien) for hvert punkt.

#### 1. Be om en fil som skal eksporteres

{% hint style="danger" %}
Det anbefales å hente bare ett datasett med `sourceDataUrl` per forespørsel.
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, og `MinusTwoPixels` er tilgjengelige som verdier for `buffer`.

`GEOJSON` og `GEOTIFF` er tilgjengelige som format.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Last ned den genererte filen

Når filen er klargjort, kan du laste den ned ved hjelp av `curl` eller en tilsvarende metode.

{% hint style="danger" %}
`sourceDataUrl` -lenken er tilgjengelig i bare **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/50.-query-get-gridded-data-from-vectoranalysismap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
